Bug 1713880 - Rebase cockpit-composer (image builder) in RHEL 7.7
Summary: Rebase cockpit-composer (image builder) in RHEL 7.7
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: Red_Hat_Enterprise_Linux-Release_Notes-7-en-US
Version: 7.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lenka Špačková
QA Contact:
Eliane Ramos Pereira
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-25 10:48 UTC by Lars Karlitski
Modified: 2019-08-06 12:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.The Image Builder rebased to version 19.7.33 and fully supported The Image Builder, provided by the `lorax-composer` package in the RHEL 7 Extras Channel, has been upgraded to version 19.7.33. Notable changes in this version include: * The Image Builder, previously available as Technology Preview, is now fully supported. * Cloud images can be built for Amazon Web Services, VMware vSphere, and OpenStack. * A Red Hat Content Delivery Network (CDN) repository mirror is no longer needed. * You can now set a host name and create users. * Boot loader parameters can be set, such as disabling Simultaneous Multi-Threading (SMT) with the `nosmt=force` option. This is only possible from `composer-cli` tool on command line. * The web console UI can now edit external repositories ("sources"). * The Image Builder can now run with SElinux in enforcing mode. To access the Image Builder functionality, use a command-line interface in the `composer-cli` utility, or a graphical user interface in the RHEL 7 web console from the `cockpit-composer` package. // * Images can be created on all architectures supported by RHEL. // * Boot loader parameters can be set, but only using manual blueprint editing and import with the `composer-cli` tool on command line.
Clone Of:
Environment:
Last Closed: 2019-08-06 12:01:19 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 13 Lars Karlitski 2019-06-04 08:24:11 UTC
Thanks very much! I have two minor comments:

> * Boot loader parameters can be set, such as disabling Simultaneous Multi-Threading (SMT) with the `nosmt=force` option.

Please mention that this is only possible from composer-cli.


> // * Images can be created on all architectures supported by RHEL.
> // * Boot loader parameters can be set, but only using manual blueprint editing and import with the `composer-cli` tool on command line.

Please leave these out (looks like they are already commented out?)


Note You need to log in before you can comment on or make changes to this bug.